package com.bytedance.android.livesdk.log.monitor;

import X.0UT;
import X.C1856GIv;
import com.bytedance.covode.number.Covode;
import java.util.Map;
import org.json.JSONObject;

public interface IPerformanceManager extends 0UT {
    static {
        Covode.recordClassIndex(18532);
    }

    Map<String, Double> getCpuRateEnableCache();

    Map<String, Long> getMemoryEnableCache();

    JSONObject getPerformanceJsonObject();

    String getRoomType(C1856GIv gIv);

    boolean hasInitValue();

    void initStartValue();

    void initStartValue(long j);

    void monitorPerformance(String str);

    void onEnterRoom();

    void onExitRoom();

    void onModuleStart(String str, Map<String, String> map);

    void onModuleStop(String str);

    void release();

    void reportBatteryDrainage();

    void reportPreviewFeedFirstFps(Double d);

    void resetInitValue();

    void setExtraParams(long j, long j2);

    void setExtraParams(Map<String, String> map);

    void setIsAnchor(boolean z);

    void setPreviewFps(float f);

    void setStreamFps(double d);

    void setStreamType(C1856GIv gIv);

    void setVideoCaptureFps(float f);

    void startTimerMonitor();

    void stopTimerMonitor();
}
